> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callvrse.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Remote Platform Agents

> Fetch the tenant's voice agents from Vapi (GET /assistant), Retell (POST /v2/list-agents), Bland (GET /v1/pathways) or ElevenLabs (GET /v1/convai/agents) using the supplied platform API key, and return them normalized. The key is used for one upstream call and never persisted.



## OpenAPI

````yaml /openapi.json post /v1/providers/{provider}/agents
openapi: 3.0.3
info:
  title: Callvrse Telephony Gateway API
  description: >-
    Unified programmable voice gateway API for calls, carriers, DIDs, agent
    sessions, and routing.
  version: 1.0.0
servers:
  - url: http://127.0.0.1:8080
    description: Local development
security: []
paths:
  /v1/providers/{provider}/agents:
    post:
      tags:
        - Agents
      summary: List Remote Platform Agents
      description: >-
        Fetch the tenant's voice agents from Vapi (GET /assistant), Retell (POST
        /v2/list-agents), Bland (GET /v1/pathways) or ElevenLabs (GET
        /v1/convai/agents) using the supplied platform API key, and return them
        normalized. The key is used for one upstream call and never persisted.
      parameters:
        - name: provider
          in: path
          required: true
          schema:
            type: string
            enum:
              - vapi
              - retell
              - bland
              - elevenlabs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                api_key:
                  type: string
                region:
                  type: string
                  example: us
              required:
                - api_key
      responses:
        '200':
          description: Normalized remote agents with supported connection modes
        '400':
          description: Unknown provider or missing key
        '401':
          description: Invalid platform API key
        '502':
          description: Provider fetch failed
      security:
        - BearerAuth: []
        - CookieAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Enter your Tenant API key (or use SANDBOX_API_KEY)
    CookieAuth:
      type: apiKey
      in: cookie
      name: callvrse_session
      description: HttpOnly session cookie issued on login

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.